/**
 * Created by Shaffer on 2017年8月29日 029.
 */
const util = require('util');

const AbstractError = function (code ,msg, constr) {
    Error.captureStackTrace(this, constr || this);
    this.code = code;
    this.msg = msg || 'Error';
}
util.inherits(AbstractError, Error);
AbstractError.prototype.name = 'Abstract Error';


const ApiError = function (code, msg) {
    ApiError.super_.call(this, code, msg, this.constructor);
}
util.inherits(ApiError, AbstractError);
ApiError.prototype.msg = 'API Error';

module.exports = {
    ApiError: ApiError
}